Redmine - Feature #33592

Include updated_on and passwd_changed_on columns in users API response
2020-06-14 15:40 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed

Description

Users CSV has updated_on and passwd_changed_on column since r19740. | think it is inconsistent that the values are not included
in API response.

Related issues:
Related to Redmine - Feature #33347: Include updated_on and passwd_changed_on... Closed
Related to Redmine - Defect #33787: Redmine::ApiTest::UsersTest fail if confi... Closed

Associated revisions

Revision 19940 - 2020-07-28 17:11 - Go MAEDA

Include updated_on and passwd_changed_on columns in API response (#33592).

Patch by vzvu 3k6k and Takenori TAKAKI.

Revision 19942 - 2020-08-02 07:26 - Go MAEDA
Redmine::ApiTest::UsersTest fails if config.time_zone is set (#33592, #33787).

Patch by Yuichi HARADA.

History

#1 - 2020-06-14 15:41 - Go MAEDA

- Related to Feature #33347: Include updated on and passwd_changed _on columns when exporting users to CSV added

#2 - 2020-06-25 09:11 - vzvu 3k6k
- File 0001-Add_fields_to_users_api.patch added

I've attached a patch to add these fields to user API, written by @Takenori TAKAKI and me. Tests for these changes will be posted later.

#3 - 2020-06-26 00:21 - vzvu 3k6k

- File 0002-Add_assertions_to_users_api_integration_test.patch added

I've attached a patch to ensure these fields are correctly added.

But I'm afraid that these assertions might be too detailed. For now Redmine::ApiTest::UsersTest doesn't have tests for individual fields except for id
and some optional fields.

| wonder if we should add assertions for other fields too, or just drop this test patch to keep test code simple.

#4 - 2020-07-04 03:15 - Go MAEDA

- Target version set to Candidate for next minor release

#5 - 2020-07-18 08:20 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.0

Setting the target version to 4.2.0.

#6 - 2020-07-28 17:12 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patch. Thank you for your contribution.

#7 - 2020-08-02 06:25 - Go MAEDA
- Related to Defect #33787: Redmine::ApiTest::UsersTest fail if config.time_zone is set added

#8 - 2020-11-10 03:44 - Go MAEDA

- Subject changed from Include updated_on and passwd_changed_on columns in API response to Include updated on and passwd_changed_on
columns in users API response

Files
0001-Add_fields_to_users_api.patch 1.27 KB 2020-06-25 vzvu 3k6k
0002-Add_assertions_to_users_api_integration_test.patch 2.32 KB 2020-06-25 vzvu 3k6k
